
$(document).ready(function(){
	var data = "incoming/data.php";
	$('#data-mahasiswa').load(data);
	
	$("#form-tambah").submit(function(e) {
		e.preventDefault();
		
		$("#error_date_inc").html('');
		$("#error_material").html('');
		$("#error_qty").html('');
		
		var dataform = $("#form-tambah").serialize();
		$.ajax({
			url: "incoming/input.php",
			type: "post",
			data: dataform,
			success: function(result) {
				var hasil = JSON.parse(result);
				if (hasil.hasil !== "sukses") {
					$("#error_date_inc").html(hasil.error.date_inc);
					$("#error_material").html(hasil.error.material);
					$("#error_qty").html(hasil.error.qty);
				} else {
					$('#modal-tambah').modal('hide');
					$("#date_inc").val('');
					$("#material").val('');
					$("#supplier").val('');
					$("#supplier2").val('');
					$("#qty").val('');
					$('#data-mahasiswa').load(data);
				}
			}
		});
	});
	
	$(document).on('click','#edit',function(e){
		e.preventDefault();
		$("#modal-edit").modal('show');
		$.post('incoming/edit.php',
			{id:$(this).attr('data-id')},
			function(html){
				$("#data-edit").html(html);
			}   
		);
	});
	
	
	$("#form-edit").submit(function(e) {
		e.preventDefault();
		
		$("#error_date_inc").html('');
		$("#error_material").html('');
		$("#error_supplier").html('');
		$("#error_qty").html('');

		var dataform = $("#form-edit").serialize();
		$.ajax({
			url: "incoming/update.php",
			type: "post",
			data: dataform,
			success: function(result) {
				var hasil = JSON.parse(result);
				if (hasil.hasil !== "sukses") {
					$("#error_edit_date_inc").html(hasil.error.edit_date_inc);
					$("#error_edit_material").html(hasil.error.edit_material);
					$("#error_edit_supplier").html(hasil.error.edit_supplier);
					$("#error_edit_qty").html(hasil.error.edit_qty);
				} else {
					$('#modal-edit').modal('hide');
					$("#date_inc").val('');
					$("#material").val('');
					$("#supplier").val('');
					$("#qty").val('');
					$('#data-mahasiswa').load(data);
				}
			}
		});
	});
	
	$(document).ready(function(){
		$('.input-tanggal').datepicker({
			dateFormat: 'yy-mm-dd'
		});		
	});	

	$(document).ready(function() {
		$('#supplier2').hide();
		$("#supplier").change(function() {
				var val = $(this).val();      
				if (val == 'supplain') {
					$('#supplier2').show();
				} else {
					$('#supplier2').hide();
				}
			}).change();
		});

});